package com.ruoyi.logistics.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.logistics.domain.SysDeptRate;

/**
 * 供应商费率配置Mapper接口
 * 
 * @author RuiJing
 * @date 2026-03-17
 */
public interface SysDeptRateMapper 
{
    /**
     * 查询供应商费率配置
     * 
     * @param rateId 供应商费率配置主键
     * @return 供应商费率配置
     */
    public SysDeptRate selectSysDeptRateByRateId(Long rateId);

    /**
     * 查询供应商费率配置列表
     * 
     * @param sysDeptRate 供应商费率配置
     * @return 供应商费率配置集合
     */
    public List<SysDeptRate> selectSysDeptRateList(SysDeptRate sysDeptRate);

    /**
     * 新增供应商费率配置
     * 
     * @param sysDeptRate 供应商费率配置
     * @return 结果
     */
    public int insertSysDeptRate(SysDeptRate sysDeptRate);

    /**
     * 修改供应商费率配置
     * 
     * @param sysDeptRate 供应商费率配置
     * @return 结果
     */
    public int updateSysDeptRate(SysDeptRate sysDeptRate);

    /**
     * 删除供应商费率配置
     * 
     * @param rateId 供应商费率配置主键
     * @return 结果
     */
    public int deleteSysDeptRateByRateId(Long rateId);

    /**
     * 批量删除供应商费率配置
     * 
     * @param rateIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysDeptRateByRateIds(Long[] rateIds);

    List<Map<String, Object>> findSysDeptRateList(Map rateParam);

    List<Map<String, Object>> findSysDeptRateListByDept(Map rateParam);

    /**
     * 根据部门ID删除供应商费率配置
     *
     * @param deptId 部门ID
     * @return 结果
     */
    public int deleteSysDeptRateByDeptId(Long deptId);
}
